All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::HandDetector Class Reference

`#include <handDetector.hpp>`

## Public Member Functions

| HandDetector (const PoseModel poseModel)
virtual | ~HandDetector ()
std::vector< std::array < Rectangle< float >, 2 > > | detectHands (const Array< float > &poseKeypoints) const
std::vector< std::array < Rectangle< float >, 2 > > | trackHands (const Array< float > &poseKeypoints)
void | updateTracker (const std::array< Array< float >, 2 > &handKeypoints, const unsigned long long id)

## Constructor & Destructor Documentation

op::HandDetector::HandDetector | ( | const PoseModel | poseModel | ) |

explicit

virtual op::HandDetector::~HandDetector | ( |  | ) |

virtual

## Member Function Documentation

std::vector<std::array<Rectangle<float>, 2> > op::HandDetector::detectHands | ( | const Array< float > & | poseKeypoints | ) | const

std::vector<std::array<Rectangle<float>, 2> > op::HandDetector::trackHands | ( | const Array< float > & | poseKeypoints | ) |

void op::HandDetector::updateTracker | ( | const std::array< Array< float >, 2 > & | handKeypoints,
|  | const unsigned long long | id
| ) |  |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/hand/handDetector.hpp